package cn.com.qmth.examcloud.core.oe.task.service.impl;

import cn.com.qmth.examcloud.core.oe.student.dao.ExamCaptureQueueRepo;
import cn.com.qmth.examcloud.core.oe.student.dao.enums.ExamCaptureQueueStatus;
import cn.com.qmth.examcloud.core.oe.task.service.ExamCaptureQueueService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * 处理考试抓拍队列
 */
@Service("examCaptureQueueService")
public class ExamCaptureQueueServiceImpl implements ExamCaptureQueueService {

    private static final Logger log = LoggerFactory.getLogger(ExamCaptureQueueServiceImpl.class);

    @Autowired
    private ExamCaptureQueueRepo examCaptureQueueRepo;

    @Deprecated
    @Override
    public boolean saveExamCaptureQueueEntityByFailed(Long captureQueueId, String errorMsg, ExamCaptureQueueStatus status) {
        try {
            examCaptureQueueRepo.saveExamCaptureQueueEntityByFailed(captureQueueId, errorMsg, status.toString(), "000000", new Date());
            return true;
        } catch (Exception e) {
            log.error("保存照片队列处理失败数据时出现异常！{}", e.getMessage());
            return false;
        }
    }

}
